
Object.defineProperty(exports, "__esModule", { value: true });

const {
  PrismaClientKnownRequestError,
  PrismaClientUnknownRequestError,
  PrismaClientRustPanicError,
  PrismaClientInitializationError,
  PrismaClientValidationError,
  warnEnvConflicts,
  getPrismaClient,
  sqltag,
  empty,
  join,
  raw,
  Decimal,
  findSync
} = require('@prisma/client/runtime')

const path = require('path')


const Prisma = {}

exports.Prisma = Prisma

/**
 * Prisma Client JS version: 2.30.3
 * Query Engine version: b8c35d44de987a9691890b3ddf3e2e7effb9bf20
 */
Prisma.prismaVersion = {
  client: "2.30.3",
  engine: "b8c35d44de987a9691890b3ddf3e2e7effb9bf20"
}

Prisma.PrismaClientKnownRequestError = PrismaClientKnownRequestError;
Prisma.PrismaClientUnknownRequestError = PrismaClientUnknownRequestError
Prisma.PrismaClientRustPanicError = PrismaClientRustPanicError
Prisma.PrismaClientInitializationError = PrismaClientInitializationError
Prisma.PrismaClientValidationError = PrismaClientValidationError
Prisma.Decimal = Decimal

/**
 * Re-export of sql-template-tag
 */

Prisma.sql = sqltag
Prisma.empty = empty
Prisma.join = join
Prisma.raw = raw
Prisma.validator = () => (val) => val


// folder where the generated client is found
const dirname = findSync(process.cwd(), [
  '"node_modules/.prisma/client"',
  '".prisma/client"',
], ['d'], ['d'], 1)[0] || __dirname

/**
 * Enums
 */
// Based on
// https://github.com/microsoft/TypeScript/issues/3192#issuecomment-261720275
function makeEnum(x) { return x; }

exports.Prisma.AccountScalarFieldEnum = makeEnum({
  id: 'id',
  userId: 'userId',
  type: 'type',
  provider: 'provider',
  providerAccountId: 'providerAccountId',
  refresh_token: 'refresh_token',
  access_token: 'access_token',
  expires_at: 'expires_at',
  token_type: 'token_type',
  scope: 'scope',
  id_token: 'id_token',
  session_state: 'session_state',
  oauth_token_secret: 'oauth_token_secret',
  oauth_token: 'oauth_token'
});

exports.Prisma.SessionScalarFieldEnum = makeEnum({
  id: 'id',
  sessionToken: 'sessionToken',
  userId: 'userId',
  expires: 'expires'
});

exports.Prisma.UserScalarFieldEnum = makeEnum({
  id: 'id'
});

exports.Prisma.VerificationTokenScalarFieldEnum = makeEnum({
  identifier: 'identifier',
  token: 'token',
  expires: 'expires'
});

exports.Prisma.SortOrder = makeEnum({
  asc: 'asc',
  desc: 'desc'
});

exports.Prisma.QueryMode = makeEnum({
  default: 'default',
  insensitive: 'insensitive'
});


exports.Prisma.ModelName = makeEnum({
  Account: 'Account',
  Session: 'Session',
  User: 'User',
  VerificationToken: 'VerificationToken'
});


/**
 * DMMF
 */
const dmmfString = "{\"datamodel\":{\"enums\":[],\"models\":[{\"name\":\"Account\",\"isEmbedded\":false,\"dbName\":null,\"fields\":[{\"name\":\"id\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":true,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":true,\"default\":{\"name\":\"cuid\",\"args\":[]},\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"userId\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":true,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"type\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"provider\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"providerAccountId\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"refresh_token\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"access_token\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"expires_at\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"Int\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"token_type\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"scope\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"id_token\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"session_state\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"oauth_token_secret\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"oauth_token\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":false,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"user\",\"kind\":\"object\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"User\",\"hasDefaultValue\":false,\"relationName\":\"AccountToUser\",\"relationFromFields\":[\"userId\"],\"relationToFields\":[\"id\"],\"relationOnDelete\":\"Cascade\",\"isGenerated\":false,\"isUpdatedAt\":false}],\"isGenerated\":false,\"primaryKey\":null,\"uniqueFields\":[[\"provider\",\"providerAccountId\"]],\"uniqueIndexes\":[{\"name\":null,\"fields\":[\"provider\",\"providerAccountId\"]}]},{\"name\":\"Session\",\"isEmbedded\":false,\"dbName\":null,\"fields\":[{\"name\":\"id\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":true,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":true,\"default\":{\"name\":\"cuid\",\"args\":[]},\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"sessionToken\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":true,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"userId\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":true,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"expires\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"DateTime\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"user\",\"kind\":\"object\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"User\",\"hasDefaultValue\":false,\"relationName\":\"SessionToUser\",\"relationFromFields\":[\"userId\"],\"relationToFields\":[\"id\"],\"relationOnDelete\":\"Cascade\",\"isGenerated\":false,\"isUpdatedAt\":false}],\"isGenerated\":false,\"primaryKey\":null,\"uniqueFields\":[],\"uniqueIndexes\":[]},{\"name\":\"User\",\"isEmbedded\":false,\"dbName\":null,\"fields\":[{\"name\":\"id\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":true,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":true,\"default\":{\"name\":\"cuid\",\"args\":[]},\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"accounts\",\"kind\":\"object\",\"isList\":true,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"Account\",\"hasDefaultValue\":false,\"relationName\":\"AccountToUser\",\"relationFromFields\":[],\"relationToFields\":[],\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"sessions\",\"kind\":\"object\",\"isList\":true,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"Session\",\"hasDefaultValue\":false,\"relationName\":\"SessionToUser\",\"relationFromFields\":[],\"relationToFields\":[],\"isGenerated\":false,\"isUpdatedAt\":false}],\"isGenerated\":false,\"primaryKey\":null,\"uniqueFields\":[],\"uniqueIndexes\":[]},{\"name\":\"VerificationToken\",\"isEmbedded\":false,\"dbName\":null,\"fields\":[{\"name\":\"identifier\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"token\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":true,\"isId\":false,\"isReadOnly\":false,\"type\":\"String\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false},{\"name\":\"expires\",\"kind\":\"scalar\",\"isList\":false,\"isRequired\":true,\"isUnique\":false,\"isId\":false,\"isReadOnly\":false,\"type\":\"DateTime\",\"hasDefaultValue\":false,\"isGenerated\":false,\"isUpdatedAt\":false}],\"isGenerated\":false,\"primaryKey\":null,\"uniqueFields\":[[\"identifier\",\"token\"]],\"uniqueIndexes\":[{\"name\":null,\"fields\":[\"identifier\",\"token\"]}]}]},\"schema\":{\"inputObjectTypes\":{\"prisma\":[{\"name\":\"AccountWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"IntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserRelationFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountOrderByInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":0},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]}]},{\"name\":\"AccountWhereUniqueInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider_providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountProviderProviderAccountIdCompoundUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountScalarWhereWithAggregatesInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"IntNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserRelationFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionOrderByInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":0},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]}]},{\"name\":\"SessionWhereUniqueInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionScalarWhereWithAggregatesInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTimeWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountListRelationFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionListRelationFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserOrderByInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":0},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]}]},{\"name\":\"UserWhereUniqueInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserScalarWhereWithAggregatesInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"VerificationTokenWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"VerificationTokenOrderByInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":0},\"fields\":[{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SortOrder\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenWhereUniqueInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"identifier_token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenIdentifierTokenCompoundUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTimeWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateNestedOneWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateOneRequiredWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountCreateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUpdateManyMutationInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedUpdateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateNestedOneWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"user\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateOneRequiredWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionCreateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionUpdateManyMutationInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedUpdateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUncheckedCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUncheckedCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUncheckedUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUncheckedUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserUpdateManyMutationInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedUpdateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"VerificationTokenUncheckedCreateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"VerificationTokenUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenUncheckedUpdateInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenCreateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"VerificationTokenUpdateManyMutationInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenUncheckedUpdateManyInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"StringFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"mode\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"QueryMode\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"StringNullableFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"mode\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"QueryMode\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"IntNullableFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserRelationFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"is\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"isNot\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountProviderProviderAccountIdCompoundUniqueInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"StringWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"mode\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"QueryMode\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"StringNullableWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"mode\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"QueryMode\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"IntNullableWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedIntNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_avg\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedFloatNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"avg\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedFloatNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_sum\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sum\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"DateTimeFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"DateTimeWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedDateTimeWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"AccountListRelationFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"every\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"some\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"none\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionListRelationFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"every\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"some\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"none\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"VerificationTokenIdentifierTokenCompoundUniqueInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"identifier\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserCreateNestedOneWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateOrConnectWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"StringFieldUpdateOperationsInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"NullableStringFieldUpdateOperationsInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"set\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"NullableIntFieldUpdateOperationsInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"set\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"increment\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"decrement\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"multiply\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"divide\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserUpdateOneRequiredWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateOrConnectWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpsertWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateNestedOneWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateOrConnectWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"DateTimeFieldUpdateOperationsInput\",\"constraints\":{\"maxNumFields\":1,\"minNumFields\":1},\"fields\":[{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"UserUpdateOneRequiredWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateOrConnectWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpsertWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountCreateNestedManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"SessionCreateNestedManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"AccountUncheckedCreateNestedManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"SessionUncheckedCreateNestedManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"AccountUpdateManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"disconnect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"delete\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"updateMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"deleteMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"SessionUpdateManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"disconnect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"delete\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"updateMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"deleteMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"AccountUncheckedUpdateManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"disconnect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"delete\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"updateMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"deleteMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"SessionUncheckedUpdateManyWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"create\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"connectOrCreate\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionCreateOrConnectWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"upsert\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpsertWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"createMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyUserInputEnvelope\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"connect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"set\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"disconnect\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"delete\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"update\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpdateWithWhereUniqueWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"updateMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUpdateManyWithWhereWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"deleteMany\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]}]},{\"name\":\"NestedStringFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"NestedStringNullableFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"NestedIntNullableFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"NestedStringWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"NestedIntFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"NestedStringNullableWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"contains\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"startsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"endsWith\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedStringNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedStringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"NestedIntNullableWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedIntNullableWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_avg\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedFloatNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"avg\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedFloatNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_sum\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sum\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"NestedFloatNullableFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":true},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedFloatNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"NestedDateTimeFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"NestedDateTimeWithAggregatesFilter\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"equals\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"in\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"notIn\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":true}]},{\"name\":\"lt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"lte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gt\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"gte\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"not\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NestedDateTimeWithAggregatesFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"_count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"count\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedIntFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"min\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"max\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"NestedDateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}],\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"UserCreateWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedCreateWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUncheckedCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateOrConnectWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUpsertWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUpdateWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedUpdateWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessions\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUncheckedUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedCreateWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUncheckedCreateNestedManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserCreateOrConnectWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUpsertWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUpdateWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"UserUncheckedUpdateWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"accounts\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUncheckedUpdateManyWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountCreateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedCreateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountCreateOrConnectWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountCreateManyUserInputEnvelope\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionCreateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedCreateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionCreateOrConnectWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionCreateManyUserInputEnvelope\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUpsertWithWhereUniqueWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountUpdateWithWhereUniqueWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountUpdateManyWithWhereWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateManyWithoutAccountsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"AccountScalarWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"IntNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"StringNullableFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionUpsertWithWhereUniqueWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUpdateWithWhereUniqueWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateWithoutUserInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUpdateManyWithWhereWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateManyWithoutSessionsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionScalarWhereInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"AND\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"OR\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"NOT\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionScalarWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"userId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"StringFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTimeFilter\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountCreateManyUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionCreateManyUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUpdateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedUpdateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"AccountUncheckedUpdateManyWithoutAccountsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"type\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"provider\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"providerAccountId\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"refresh_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"access_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"expires_at\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableIntFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"token_type\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"scope\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"id_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"session_state\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token_secret\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"oauth_token\",\"isRequired\":false,\"isNullable\":true,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"NullableStringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"Null\",\"location\":\"scalar\",\"isList\":false}]}]},{\"name\":\"SessionUpdateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedUpdateWithoutUserInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]},{\"name\":\"SessionUncheckedUpdateManyWithoutSessionsInput\",\"constraints\":{\"maxNumFields\":null,\"minNumFields\":null},\"fields\":[{\"name\":\"id\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"sessionToken\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"StringFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"expires\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false},{\"type\":\"DateTimeFieldUpdateOperationsInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}]}]},\"outputObjectTypes\":{\"prisma\":[{\"name\":\"Query\",\"fields\":[{\"name\":\"findFirstAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findManyAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"aggregateAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AggregateAccount\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"groupByAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"by\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true},{\"type\":\"AccountScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"having\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AccountGroupByOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"findUniqueAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findFirstSession\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findManySession\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"aggregateSession\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AggregateSession\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"groupBySession\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"by\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true},{\"type\":\"SessionScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"having\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"SessionGroupByOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"findUniqueSession\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findFirstUser\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findManyUser\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":false,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"aggregateUser\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AggregateUser\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"groupByUser\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"UserOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"by\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true},{\"type\":\"UserScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"having\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"UserGroupByOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"findUniqueUser\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findFirstVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"findManyVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":false,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"aggregateVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AggregateVerificationToken\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"groupByVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"VerificationTokenOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"by\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true},{\"type\":\"VerificationTokenScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":false}]},{\"name\":\"having\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenScalarWhereWithAggregatesInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"VerificationTokenGroupByOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"findUniqueVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"Mutation\",\"fields\":[{\"name\":\"createOneAccount\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"upsertOneAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createManyAccount\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountCreateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteOneAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateOneAccount\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateManyAccount\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"AccountUncheckedUpdateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteManyAccount\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createOneSession\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"upsertOneSession\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createManySession\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionCreateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteOneSession\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateOneSession\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateManySession\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"SessionUncheckedUpdateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteManySession\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createOneUser\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"upsertOneUser\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createManyUser\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserCreateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteOneUser\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateOneUser\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateManyUser\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"UserUncheckedUpdateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteManyUser\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"UserWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createOneVerificationToken\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"upsertOneVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"create\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenUncheckedCreateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"update\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"createManyVerificationToken\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenCreateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true}]},{\"name\":\"skipDuplicates\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Boolean\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteOneVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateOneVerificationToken\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenUncheckedUpdateInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationToken\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"updateManyVerificationToken\",\"args\":[{\"name\":\"data\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenUpdateManyMutationInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false},{\"type\":\"VerificationTokenUncheckedUpdateManyInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"deleteManyVerificationToken\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"VerificationTokenWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"AffectedRowsOutput\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"executeRaw\",\"args\":[{\"name\":\"query\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"parameters\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Json\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Json\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"queryRaw\",\"args\":[{\"name\":\"query\",\"isRequired\":true,\"isNullable\":false,\"inputTypes\":[{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"parameters\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Json\",\"location\":\"scalar\",\"isList\":false}]}],\"isNullable\":false,\"outputType\":{\"type\":\"Json\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AggregateAccount\",\"fields\":[{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_avg\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountAvgAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"avg\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountAvgAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_sum\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountSumAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"sum\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountSumAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"AccountGroupByOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"type\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"provider\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"providerAccountId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"refresh_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"access_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token_type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"scope\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"id_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"session_state\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token_secret\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_avg\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountAvgAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_sum\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountSumAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"AccountMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"AggregateSession\",\"fields\":[{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"SessionGroupByOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"sessionToken\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"SessionMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"AggregateUser\",\"fields\":[{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"UserGroupByOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"UserMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"AggregateVerificationToken\",\"fields\":[{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false},\"deprecation\":{\"sinceVersion\":\"2.23\",\"reason\":\"Aggregation keywords got unified to use underscore as prefix to prevent field clashes.\"}}]},{\"name\":\"VerificationTokenGroupByOutputType\",\"fields\":[{\"name\":\"identifier\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_count\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenCountAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_min\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMinAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}},{\"name\":\"_max\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"VerificationTokenMaxAggregateOutputType\",\"namespace\":\"prisma\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"AffectedRowsOutput\",\"fields\":[{\"name\":\"count\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AccountCountAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"type\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"provider\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"providerAccountId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"refresh_token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"access_token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires_at\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token_type\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"scope\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"id_token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"session_state\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token_secret\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_all\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AccountAvgAggregateOutputType\",\"fields\":[{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Float\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AccountSumAggregateOutputType\",\"fields\":[{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AccountMinAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"provider\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"providerAccountId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"refresh_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"access_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token_type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"scope\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"id_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"session_state\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token_secret\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"AccountMaxAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"provider\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"providerAccountId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"refresh_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"access_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token_type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"scope\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"id_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"session_state\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token_secret\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"SessionCountAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"sessionToken\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_all\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"SessionMinAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"sessionToken\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"SessionMaxAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"sessionToken\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"UserCountAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_all\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"UserMinAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"UserMaxAggregateOutputType\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"VerificationTokenCountAggregateOutputType\",\"fields\":[{\"name\":\"identifier\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"_all\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"VerificationTokenMinAggregateOutputType\",\"fields\":[{\"name\":\"identifier\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}}]},{\"name\":\"VerificationTokenMaxAggregateOutputType\",\"fields\":[{\"name\":\"identifier\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}}]}],\"model\":[{\"name\":\"Account\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"type\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"provider\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"providerAccountId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"refresh_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"access_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires_at\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token_type\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"scope\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"id_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"session_state\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token_secret\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"oauth_token\",\"args\":[],\"isNullable\":true,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"user\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"Session\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"sessionToken\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"userId\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"user\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"User\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":false}}]},{\"name\":\"User\",\"fields\":[{\"name\":\"id\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"accounts\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"AccountOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"AccountScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Account\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}},{\"name\":\"sessions\",\"args\":[{\"name\":\"where\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"orderBy\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":true},{\"type\":\"SessionOrderByInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"cursor\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionWhereUniqueInput\",\"namespace\":\"prisma\",\"location\":\"inputObjectTypes\",\"isList\":false}]},{\"name\":\"take\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"skip\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"Int\",\"location\":\"scalar\",\"isList\":false}]},{\"name\":\"distinct\",\"isRequired\":false,\"isNullable\":false,\"inputTypes\":[{\"type\":\"SessionScalarFieldEnum\",\"namespace\":\"prisma\",\"location\":\"enumTypes\",\"isList\":true}]}],\"isNullable\":true,\"outputType\":{\"type\":\"Session\",\"namespace\":\"model\",\"location\":\"outputObjectTypes\",\"isList\":true}}]},{\"name\":\"VerificationToken\",\"fields\":[{\"name\":\"identifier\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"token\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"String\",\"location\":\"scalar\",\"isList\":false}},{\"name\":\"expires\",\"args\":[],\"isNullable\":false,\"outputType\":{\"type\":\"DateTime\",\"location\":\"scalar\",\"isList\":false}}]}]},\"enumTypes\":{\"prisma\":[{\"name\":\"AccountScalarFieldEnum\",\"values\":[\"id\",\"userId\",\"type\",\"provider\",\"providerAccountId\",\"refresh_token\",\"access_token\",\"expires_at\",\"token_type\",\"scope\",\"id_token\",\"session_state\",\"oauth_token_secret\",\"oauth_token\"]},{\"name\":\"SessionScalarFieldEnum\",\"values\":[\"id\",\"sessionToken\",\"userId\",\"expires\"]},{\"name\":\"UserScalarFieldEnum\",\"values\":[\"id\"]},{\"name\":\"VerificationTokenScalarFieldEnum\",\"values\":[\"identifier\",\"token\",\"expires\"]},{\"name\":\"SortOrder\",\"values\":[\"asc\",\"desc\"]},{\"name\":\"QueryMode\",\"values\":[\"default\",\"insensitive\"]}]}},\"mappings\":{\"modelOperations\":[{\"model\":\"Account\",\"plural\":\"accounts\",\"findUnique\":\"findUniqueAccount\",\"findFirst\":\"findFirstAccount\",\"findMany\":\"findManyAccount\",\"create\":\"createOneAccount\",\"createMany\":\"createManyAccount\",\"delete\":\"deleteOneAccount\",\"update\":\"updateOneAccount\",\"deleteMany\":\"deleteManyAccount\",\"updateMany\":\"updateManyAccount\",\"upsert\":\"upsertOneAccount\",\"aggregate\":\"aggregateAccount\",\"groupBy\":\"groupByAccount\"},{\"model\":\"Session\",\"plural\":\"sessions\",\"findUnique\":\"findUniqueSession\",\"findFirst\":\"findFirstSession\",\"findMany\":\"findManySession\",\"create\":\"createOneSession\",\"createMany\":\"createManySession\",\"delete\":\"deleteOneSession\",\"update\":\"updateOneSession\",\"deleteMany\":\"deleteManySession\",\"updateMany\":\"updateManySession\",\"upsert\":\"upsertOneSession\",\"aggregate\":\"aggregateSession\",\"groupBy\":\"groupBySession\"},{\"model\":\"User\",\"plural\":\"users\",\"findUnique\":\"findUniqueUser\",\"findFirst\":\"findFirstUser\",\"findMany\":\"findManyUser\",\"create\":\"createOneUser\",\"createMany\":\"createManyUser\",\"delete\":\"deleteOneUser\",\"update\":\"updateOneUser\",\"deleteMany\":\"deleteManyUser\",\"updateMany\":\"updateManyUser\",\"upsert\":\"upsertOneUser\",\"aggregate\":\"aggregateUser\",\"groupBy\":\"groupByUser\"},{\"model\":\"VerificationToken\",\"plural\":\"verificationTokens\",\"findUnique\":\"findUniqueVerificationToken\",\"findFirst\":\"findFirstVerificationToken\",\"findMany\":\"findManyVerificationToken\",\"create\":\"createOneVerificationToken\",\"createMany\":\"createManyVerificationToken\",\"delete\":\"deleteOneVerificationToken\",\"update\":\"updateOneVerificationToken\",\"deleteMany\":\"deleteManyVerificationToken\",\"updateMany\":\"updateManyVerificationToken\",\"upsert\":\"upsertOneVerificationToken\",\"aggregate\":\"aggregateVerificationToken\",\"groupBy\":\"groupByVerificationToken\"}],\"otherOperations\":{\"read\":[],\"write\":[\"executeRaw\",\"queryRaw\"]}}}"

// We are parsing 2 times, as we want independent objects, because
// DMMFClass introduces circular references in the dmmf object
const dmmf = JSON.parse(dmmfString)
exports.Prisma.dmmf = JSON.parse(dmmfString)

/**
 * Create the Client
 */

const config = {
  "generator": {
    "name": "client",
    "provider": {
      "fromEnvVar": null,
      "value": "prisma-client-js"
    },
    "output": {
      "value": "/Users/macrozone/git/panter/starter/node_modules/@prisma/client",
      "fromEnvVar": null
    },
    "config": {
      "engineType": "binary"
    },
    "binaryTargets": [],
    "previewFeatures": [
      "referentialActions"
    ]
  },
  "relativeEnvPaths": {
    "rootEnvPath": "../../../.env",
    "schemaEnvPath": "../../../.env"
  },
  "relativePath": "../../../prisma",
  "clientVersion": "2.30.3",
  "engineVersion": "b8c35d44de987a9691890b3ddf3e2e7effb9bf20",
  "datasourceNames": [
    "db"
  ],
  "activeProvider": "postgresql"
}
config.document = dmmf
config.dirname = dirname

/**
 * Only for env conflict warning
 * loading of env variable occurs in getPrismaClient
 */
const envPaths = {
  rootEnvPath: config.relativeEnvPaths.rootEnvPath && path.resolve(dirname, config.relativeEnvPaths.rootEnvPath),
  schemaEnvPath: config.relativeEnvPaths.schemaEnvPath && path.resolve(dirname, config.relativeEnvPaths.schemaEnvPath)
}
warnEnvConflicts(envPaths)

const PrismaClient = getPrismaClient(config)
exports.PrismaClient = PrismaClient

Object.assign(exports, Prisma)

/**
 * Build tool annotations
 * In order to make `ncc` and `@vercel/nft` happy.
 * The process.cwd() annotation is only needed for https://github.com/vercel/vercel/tree/master/packages/now-next
**/
path.join(__dirname, 'query-engine-darwin');
path.join(process.cwd(), './node_modules/.prisma/client/query-engine-darwin')
/**
 * Annotation for `@vercel/nft`
 * The process.cwd() annotation is only needed for https://github.com/vercel/vercel/tree/master/packages/now-next
**/
path.join(__dirname, 'schema.prisma');
path.join(process.cwd(), './node_modules/.prisma/client/schema.prisma');
